#ifndef  _Lambda_expression_
#define  _Lambda_expression_

#include <string>
#include <unordered_map>

class Person {
public:
    const std::string _given_name;
    const std::string _surname;
    std::string _nickname;

    inline explicit Person(const std::string& given_name, const std::string& surname, const std::string& nickname) : _given_name(given_name), _surname(surname), _nickname(nickname) {
    }
};

class Illustration_of_mutable {
    int _a;
    mutable int _b;
    void object_state_is_not_changed() const;
};

class Election {
    std::string _separator;
    std::unordered_multimap<std::string, std::string> _situation;
public:
    static const std::string Candidate;
    static const std::string Challenger;
    static const std::string President;
    static const std::string Prime_minister;
    Election(const std::string&, const std::initializer_list<std::unordered_multimap<std::string, std::string>::value_type>&);
    std::string candidates() const;
    void change_separator(const std::string&);
};

#endif
